<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML+RDFa 1.0//EN" "http://www.w3.org/MarkUp/DTD/xhtml-rdfa-1.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<meta http-equiv="Content-Type" content="text/html"/>
<head>
	<title>Admin Home | <?php echo SITE_TITLE_FULL; ?></title>
	<meta name="robots" content="noodp, noydir"/>
	<meta name="googlebot" content="noodp"/>
	<meta name="Slurp" content="noodp"/>
	<meta name="msnbot" content="noodp"/>
	<meta name="distribution" content="global"/>
	<meta name="language" content="en"/>
	<meta http-equiv="Expires" content="never"/>
	<meta http-equiv="pragma" content="no-cache"/>
	<meta property="og:type" content="website"/>
	<link rel="icon" type="image/gif" href="/images/favicon.ico"/>
	
	<link rel="icon" href="/images/icons/favicon.png" type="image/png">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
    <link href="https://fonts.googleapis.com/css2?family=Open+Sans:wght@400;600&display=swap" rel="stylesheet">
	<link rel="preconnect" href="https://fonts.googleapis.com">
	<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
	<link href="https://fonts.googleapis.com/css2?family=Kadwa:wght@400;700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="<?php $_SERVER['DOCUMENT_ROOT'] ?>/admin/style.css?v=95">
	<?php if (defined('IS_DEV') && IS_DEV) {
		echo '<link rel="stylesheet" href="../css/dev.css">';
	} ?>

	<script>mainUrl = "<?php echo MAINSITE_URL; ?>";</script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
	<script type="text/javascript" src="<?php $_SERVER['DOCUMENT_ROOT'] ?>/admin/js/scripts-admin.js?v=78" defer></script>
	
	<?php
	// required to put this here to fetch it onsome pages like cases details
	if($_SESSION['user_type'] == 'super') {
	    $usertype = 'super';
	} else {
	    $usertype = 'admin';
	}
	
	// Check if the current page is the index page
	if (basename($_SERVER['PHP_SELF']) === 'index.php') {
	    $superHome = 'yes';
	} else {
	    $superHome = 'no';
	}
	?>
</head>

<body class="admin-pages<?php if ($usertype == 'super' && $superHome == 'yes') { ?> super-admin-overview<?php } ?>">
<?php if (defined('IS_DEV') && IS_DEV) { echo '<div id="devsite">Dev Site</div>'; } ?>
<?php include ($_SERVER['DOCUMENT_ROOT'] . '/admin/topmenu.php'); ?>

<?php /* hack to include original js file without errors */ ?>
<span id="toggle-sidebar" class="mainContentSection sidebar-collapsed" style="display:none;"></span>
<span id="sidebar" style="display:none;"></span>
		
