"use strict";
var VersionStr = "app";  /* was app or demo maybe will use in v7 */
var CaseData = [];
var CaseDefault;
var StateDefault;
var DrugInfo = [];
var IvAdmin = [];
var afib6 = [];
var asyst1 = [];
var sinus1 = [];
var sinus2 = [];
var sinus3 = [];
var sinus4 = [];
var sinus5 = [];
var sinus6 = [];
var st1 = [];
var st2 = [];
var st3 = [];
var vfib2 = [];
var vtach3 = [];
var hump = [];
var nl = [];
var slant = [];
var IvFluidStr = ["None", "Lactated Ringers", "Normal saline", "Albumin", "Packed red blood cells"];
var DSF = [0.0, 0.5, 1.0, 1.5, 2.0, 2.5, 3.0, 3.5, 4.0, 4.5, 5.0, 5.5, 6.0, 6.5, 7.0, 8.0, 9.0, 10, 11, 12];
var HAL = [0.0, 0.1, 0.2, 0.3, 0.4, 0.5, 0.6, 0.7, 0.8, 0.9, 1.0, 1.1, 1.2, 1.3, 1.4, 1.5, 2.0, 3.0, 4.0, 5.0];
var ISF = [0.0, 0.1, 0.2, 0.3, 0.4, 0.5, 0.6, 0.7, 0.8, 0.9, 1.0, 1.1, 1.2, 1.3, 1.4, 1.5, 2.0, 2.5, 3.0, 4.0, 5.0];
var SEV = [0.0, 0.2, 0.4, 0.6, 0.8, 1.0, 1.2, 1.4, 1.6, 1.8, 2.0, 2.2, 2.4, 2.6, 2.8, 3.0, 4.0, 5.0, 6.0, 8.0];
var aboutAnesSim7;
var CoHt;
var CprHt;
var HemoContext;
var HemoX0 = 3;
var NbpTimer = 179;
var TimeoutInterval = 10;

/* based on canvas height of 510px in index.php */
var SweepWidth = 470;
  
var EcgIILimit1 = 8;
var EcgIIBaseline = 36;
var EcgIILimit2 = 51;

var EcgV5Limit1 = 59;
var EcgV5Baseline = 87;
var EcgV5Limit2 = 120;

var P1Limit1 = 128;
var P1Baseline = 190; 
var P1Limit2 = 214; 

var SpO2Limit1 = 234; 
var SpO2Baseline = 280; 
var SpO2Limit2 = 310; 

var CO2Limit1 = 324;     
var CO2Baseline = 402;    
var CO2Limit2 = 416;     

var APLimit1 = 434; 
var APBaseline = 492; 
var APLimit2 = 508; 

var ZapHt;
var APY1;
var APY2;
var AwLaryTubeSuccess;
var CaseTimeInSec;
var SweepStartTime = 0;  /* was added to debug slow sweep */
var CO2Y1;
var CO2Y2;
 var CoCurrentPoint;   
var CoSweep;
var CurrentCase;
var CurrentCaseIndex;
var CurrentHemoWave;
var CurrentRespWave;
var CaseLogStr1;
var CaseLogStr2;
var EcgIIY1;
var EcgIIY2;
var EcgV5Y1;
var EcgV5Y2;
var GradeStr;
var HemoCprCount;
var HemoZapCount;
var HemoSweepPosition;
var HemoX1;
var HemoX2;
var LastOneSecUpdate;
var LastTenSecUpdate;
var LastHemoUpdate;
var LastRespUpdate;
var LastTenSecUpdate;
var MyContentHeight; /* used in scripts.js */
var MyTimeout;
var NextHemoWave;
var NextRespWave;
var NbpS;
var NbpD;
var NbpM;
var P1Y1;
var P1Y2;
var RespSweepPosition;
var RespX1;
var RespX2;
var Score;
var SpO2Y1;
var SpO2Y2;
var SurgeonStartTime;
var SurgeonStopTime;
var UpdateOneSecCount;
var UpdateFiveSecCount;
var PddAddedBicarb;
var PddDeltaHr;
var PddDeltaBp;
var PddHr;
var PddSpRate;
var PddAbpS;
var PddAbpD;
var PddAbpM;
var PddCo;
var PddCvp;
var PddDoa;
var PddMic;
var PddNmb;
var PddPapS;
var PddPapD;
var PddPapM;
var PddPapW;
var PddTfluid;
var PddTlr;
var PddTns;
var PddTalb;
var PddTprbc;
var PddTuo;
var PddTebl;
var PrpAlvAgt;
var PrpAlvDes;
var PrpAlvHal;
var PrpAlvIso;
var PrpAlvN2O;
var PrpAlvO2;
var PrpAlvRr;
var PrpAlvSev;
var PrpAlvTv;
var PrpArtBicarb;
var PrpArtPco2;
var PrpArtPh;
var PrpArtPo2;
var PrpEtCO2;
var PrpFeAgt;
var PrpFeDes;
var PrpFeHal;
var PrpFeIso;
var PrpFeN2O;
var PrpFeO2;
var PrpFeSev;
var PrpFiAgt;
var PrpFiDes;
var PrpFiHal;
var PrpFiIso;
var PrpFiN2O;
var PrpFiO2;
var PrpFiSev;
var PrpMac;
var PrpMonPeep;
var PrpMonPip;
var PrpMonRr;
var PrpMonTv;
var PrpMv;
var PrpPotassium;
var PrpRespWaveStr;
var PrpSpO2;
var PrpTotalFlow;
var PrpTubeStatusStr;
var UserAirFlow;
var UserAirwayStr;
var UserAspiratedCvpFlag;
var UserBagRr;
var UserBagTv;
var UserBreathModeStr;
var UserCalledForHelpFlag;
var UserCaseRunning;
var UserCheckedCircuitFlag;
var UserConnectedFlag;
var UserConnectedThisCaseFlag;
var UserDefibedEnergy;
var UserDepthTubeCurrent;
var UserDoingCricoidFlag;
var UserDoingCprFlag;
var UserDoingIcedIvFlag;
var UserDoingIcePackFlag;
var UserDoingIcedLavageFlag;
var UserDoingWarmBlanketFlag;
var UserDoingWarmIvFlag;
var UserFloodedFieldFlag;
var UserInsertedChestTubeFlag;
var UserInsertedFoleyFlag;
var UserInsertedArtLineFlag;
var UserInsertedCvpFlag;
var UserInsertedPaCathFlag;
var UserIV = [];
var UserMakeIncisionFlag;
var UserMgmtEnabledFlag;
var UserMonitorDisplayStr;
var UserN2OFlow;
var UserNbpInterval = 3;
var UserNbpModeStr;
var UserO2Flow;
var UserOverdosedFlag;
var UserPeep;
var UserPositionStr;
var UserShowingCenter = "start"; 
/* "start", "resume", "preop", "caselog", "newcase", "patient", "monitors", "airway", "breathing", "drugs", "fluids","labs", "surgeon", "resuscitate" */
var UserShowingWhatNowFlag;
/* var UserSoundFlag = false; was */
var UserSurgeonModeStr;
var UserSyncedFlag;
var UserVaporizerAmount;
var UserVaporizerStr = "Sevoflurane";
var UserVapStr = "SEV";
var UserVentRr;
var UserVentTv;
var CurrentState;
var CurrentStateIndex;
var DefibedEnergy;
var HemoCurrentPoint;
var RespCurrentPoint;
var StateStartTime;
var TransHr;            
var TransAbpS;
var TransAbpD;
var TransAbpM;
var UserAdjustedHeadFlag;
var UserCheckedTubeFlag;
var UserInsertedNasalFlag;
var UserInsertedOralFlag;
var UserSuctionedFlag;
var UserTriedFoFlag;
var UserTriedLaryTubeFlag;
var UserTriedLmaFlag;
var UserDrugIndex;
var EcgX1;
var EcgX2;
var EcgY1;
var EcgY2;

document.observe("dom:loaded", function() {
    try {
/* was        console.log("DOM loaded, initializing...");   --------------- */
        
        $("divErrorScreen").hide();
        $("divFullScreen").show();
		InitializeHemoWaveforms();
        HemoContext = $("canvasHemo").getContext("2d");
        HemoContext.lineWidth = 2;

        // Setup button listeners
        SetupButtonListeners();

        CreateDropListFlow($("divN2O"));
        $("seldivN2O").observe("change", SetN2OFlow);
        $("seldivN2O").observe("change", RefreshBobbin);
        CreateDropListFlow($("divAir"));
        $("seldivAir").observe("change", SetAirFlow);
        $("seldivAir").observe("change", RefreshBobbin);
        CreateDropListFlow($("divO2"));
        $("seldivO2").observe("change", SetO2Flow);
        $("seldivO2").observe("change", RefreshBobbin);
        CreateDropListVapAmount($("divVaporizer"));
        $("selVapAmount").observe("change", SetVapAmount);
        $("selVaporizer").observe("change", ChangeVaporizer);

/*        $("btnPlaySound").addClassName("clsButtonEnabled").removeClassName("clsButtonDisabled");  was removed */
/*        $("btnPlaySound").hide();  was removed */

        $("btnGo").hide();
        $("btnGo").addClassName("clsButtonEnabled").removeClassName("clsButtonDisabled");  
        
        ShowNewCaseScreen();
        
// was        console.log("Initialization complete");
    } catch (error) {
// was        console.error("Error during initialization:", error);
    }
});


document.addEventListener('touchmove', function(e) {
    e.preventDefault();
}, { passive: false });


function CreateScroller(wrapper) {
        $(wrapper).addClassName("desktopScroll");
}

function RefreshScroller() {
    if (MyScroll) MyScroll.refresh();
}


function onBackPressed() {
    onFinish();
    if (typeof Android !== 'undefined' && Android && Android.onFinish) {
        Android.onFinish();
    }
}

function onFinish() {
    clearTimeout(MyTimeout);
}
